## grails.test
Class WebFlowTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.springframework.webflow.test.execution.AbstractFlowExecutionTests
                  grails.test.WebFlowTestCase

All Implemented Interfaces:
  groovy.lang.GroovyObject, junit.framework.Test

    public abstract class WebFlowTestCase

extends org.springframework.webflow.test.execution.AbstractFlowExecutionTests
implements groovy.lang.GroovyObject

Field Summary
`protected MockHttpServletRequest` `mockRequest`
`protected MockHttpServletResponse` `mockResponse`
`protected MockServletContext` `mockServletContext`

Constructor Summary
`WebFlowTestCase()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`abstract Object` `getFlow()`
`org.springframework.webflow.definition.FlowDefinition` `getFlowDefinition()`
`String` `getFlowId()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`protected void` `setUp()`
`protected org.springframework.webflow.context.ExternalContext` `signalEvent(String eventId)`
`protected void` `startFlow()`
`protected void` `tearDown()`

Methods inherited from class org.springframework.webflow.test.execution.AbstractFlowExecutionTests

`assertActiveFlowEquals, assertCurrentStateEquals, assertFlowExecutionActive, assertFlowExecutionEnded, assertFlowExecutionOutcomeEquals, assertResponseWrittenEquals, createFlowExecutionFactory, getConversationAttribute, getConversationScope, getFlowAttribute, getFlowExecution, getFlowExecutionFactory, getFlowExecutionOutcome, getFlowScope, getRequiredConversationAttribute, getRequiredConversationAttribute, getRequiredFlowAttribute, getRequiredFlowAttribute, getRequiredViewAttribute, getRequiredViewAttribute, getViewAttribute, getViewScope, resumeFlow, setCurrentState, startFlow, startFlow, updateFlowExecution`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mockRequest

    protected MockHttpServletRequest mockRequest

### mockResponse

    protected MockHttpServletResponse mockResponse

### mockServletContext

    protected MockServletContext mockServletContext

Constructor Detail

### WebFlowTestCase

    public WebFlowTestCase()

Method Detail

### getFlow

    public abstract Object getFlow()

### getFlowId

    public String getFlowId()

### setUp

    protected void setUp()

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### getFlowDefinition

    public org.springframework.webflow.definition.FlowDefinition getFlowDefinition()

  Specified by:
    `getFlowDefinition` in class `org.springframework.webflow.test.execution.AbstractFlowExecutionTests`

### startFlow

    protected void startFlow()

### signalEvent

    protected org.springframework.webflow.context.ExternalContext signalEvent(String eventId)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project